sc::RangeLock(3)

NAME
sc::RangeLock -

SYNOPSIS

  Public Member Functions
RangeLock (Pool *pool=0)
void increment (int start, int fence)
void decrement (int start, int fence)
void set (int start, int fence, int value)
void sum (int start, int fence, int delta)
int checkeq (int start, int fence, int value)
int checkgr (int start, int fence, int value)
void check ()
void print (std::ostream &o=ExEnv::out0()) const
int lockvalue (int i)

Author

Generated automatically by Doxygen for MPQC from the source code'.